Bug 488296 - autovacuum daemon segfaulting
autovacuum daemon segfaulting
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: postgresql (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tom Lane
BaseOS QE
: Rebase
Depends On:
Blocks: 429820
  Show dependency treegraph
 
Reported: 2009-03-03 12:14 EST by Olivier Fourdan
Modified: 2013-07-02 23:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: 8.1.18-2.el5_4.1
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 16:19:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch from upstream (1.08 KB, patch)
2009-03-03 12:14 EST, Olivier Fourdan
no flags Details | Diff

  None (edit)
Description Olivier Fourdan 2009-03-03 12:14:58 EST
Created attachment 333900 [details]
Proposed patch from upstream

Description of problem:

autovacuum daemon crashes with a segfault after vacuuming a whole database.

Customer suspects this addressed by the patch discussed on the upstream mailing list:

http://archives.postgresql.org/pgsql-general/2009-01/msg00544.php

That went in revision 1.5.2.8 of pgsql/src/backend/postmaster in branch REL8_1_STABLE:

http://anoncvs.postgresql.org/cvsweb.cgi/pgsql/src/backend/postmaster/autovacuum.c.diff?r1=1.5.2.7;r2=1.5.2.8;only_with_tag=REL8_1_STABLE

Version-Release number of selected component (if applicable):

postgresql-8.1.11-1.el5_1.1

How reproducible:

Rarely.

Steps to Reproduce:

Vacuum whole database and autovacuum daemon crash infrequently.

Actual results:

autovacuum daemon crash infrequently.

Expected results:

autovacuum daemon does not crash.

Additional info:

Awaiting a core file from customer to confirm this is actually the same problem, but opening BZ in advance as upstream patch has been proposed by Red Hat engineer.
Comment 1 RHEL Product and Program Management 2009-03-26 13:10:35 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 Tom Lane 2009-12-17 16:19:36 EST
This got fixed (but not release-noted :-() as a byproduct of a security update to 8.1.18 a couple months ago.

Note You need to log in before you can comment on or make changes to this bug.